# SourcePath: mmc-utils/20181224dev
Summary: Userspace tools for MMC/SD devices
Name: sony-target-dev-mmc-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-mmc-utils
Version: 20181221
Release: 14010003
Source: mmc-utils-%{version}.tar.gz
URL: https://git.kernel.org/pub/scm/linux/kernel/git/cjb/mmc-utils.git/
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
mmc-utils is a tool that supports the MMC device development of linux kernel. 

%package -n %{pkgname}
Summary: Userspace tools for MMC/SD devices
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
mmc-utils is a tool that supports the MMC device development of linux kernel. 

%prep
%setup -n mmc-utils-%{version} -q

%build
%sony_target_dev_setup

make CC="${CC}"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
make install DESTDIR=%{buildroot}%{sony_target_dir}


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/mmc


%changelog
* Mon Jun 24 2019 Sony Corporation
- To support eMMC RPMB builded with BU provided kernel headers.

* Mon Dec 24 2018 Sony Corporation
- Initial build.
